local L = LibStub("AceLocale-3.0"):GetLocale("TweakHubMinimap")

function TweakHub.Minimap:GetOptionsTable()
	return {
		type = "group",
		name = L["Minimap Tweaks"],
		desc = L["Various minimap tweaks."],
		args = {
			ScrollZoom = {
				type = "toggle",
				name = L["Mouse Wheel Zoom"],
				desc = L["Toggles minimap zooming with the mouse wheel."],
				get = function() return TweakHub.Minimap.db.profile.ScrollZoom end,
				set = function()
					TweakHub.Minimap.db.profile.ScrollZoom = not TweakHub.Minimap.db.profile.ScrollZoom
					TweakHub.Minimap:DoScrollZoom();
				end,
			},
			WorldMapButton = {
				type = "toggle",
				name = L["World Map Button"],
				desc = L["Shows or hides the world map button."],
				get = function() return TweakHub.Minimap.db.profile.WorldMapButton end,
				set = function()
					TweakHub.Minimap.db.profile.WorldMapButton = not TweakHub.Minimap.db.profile.WorldMapButton
					TweakHub.Minimap:DoWorldMapButton()
				end,
			},
			ZoomButtons = {
				type = "toggle",
				name = L["Zoom Buttons"],
				desc = L["Shows or hides the zoom buttons."],
				get = function() return TweakHub.Minimap.db.profile.ZoomButtons end,
				set = function()
					TweakHub.Minimap.db.profile.ZoomButtons = not TweakHub.Minimap.db.profile.ZoomButtons
					TweakHub.Minimap:DoZoomButtons()
				end,
			},
			GameTimeImage = {
				type = "toggle",
				name = L["Game Time Image"],
				desc = L["Shows or hides the game time image."],
				get = function() return TweakHub.Minimap.db.profile.GameTimeImage end,
				set = function()
					TweakHub.Minimap.db.profile.GameTimeImage = not TweakHub.Minimap.db.profile.GameTimeImage
					TweakHub.Minimap:DoGameTimeImage()
				end,
			},
			Header = {
				type = "toggle",
				name = L["Header"],
				desc = L["Shows or hides the header."],
				get = function() return TweakHub.Minimap.db.profile.Header end,
				set = function()
					TweakHub.Minimap.db.profile.Header = not TweakHub.Minimap.db.profile.Header
					TweakHub.Minimap:DoHeader()
				end,
			},
			Scale = {
				type = "range",
				name = L["Scale"],
				desc = L["Set the scale of the minimap frame."],
				min = 0.1,
				max = 2,
				step = 0.1,
				get = function() return TweakHub.Minimap.db.profile.Scale end,
				set = function(i, v)
					TweakHub.Minimap.db.profile.Scale = v
					TweakHub.Minimap:DoScale()
				end,
			},
			AnnouncePing = {
				type = "toggle",
				name = L["Announce Ping"],
				desc = L["Display a chat message telling you who pinged the minimap."],
				get = function() return TweakHub.Minimap.db.profile.AnnouncePing end,
				set = function()
					TweakHub.Minimap.db.profile.AnnouncePing = not TweakHub.Minimap.db.profile.AnnouncePing
					TweakHub.Minimap:DoAnnouncePing()
				end,
			},
		},
	}
end